vulkan_macos.h File Reference

Go to the source code of this file.

## Data Structures

struct | VkMacOSSurfaceCreateInfoMVK

## Macros

#define | VK_MVK_macos_surface 1
#define | VK_MVK_MACOS_SURFACE_SPEC_VERSION 2
#define | VK_MVK_MACOS_SURFACE_EXTENSION_NAME "VK_MVK_macos_surface"

## Typedefs

typedef VkFlags | VkMacOSSurfaceCreateFlagsMVK
typedef VkResult(VKAPI_PTR * | PFN_vkCreateMacOSSurfaceMVK) (VkInstance instance, const VkMacOSSurfaceCreateInfoMVK *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)

## Functions

VKAPI_ATTR VkResult VKAPI_CALL | vkCreateMacOSSurfaceMVK (VkInstance instance, const VkMacOSSurfaceCreateInfoMVK *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)

## Macro Definition Documentation

## VK_MVK_macos_surface

#define VK_MVK_macos_surface 1

Definition at line 30 of file vulkan_macos.h.

## VK_MVK_MACOS_SURFACE_EXTENSION_NAME

#define VK_MVK_MACOS_SURFACE_EXTENSION_NAME "VK_MVK_macos_surface"

Definition at line 32 of file vulkan_macos.h.

## VK_MVK_MACOS_SURFACE_SPEC_VERSION

#define VK_MVK_MACOS_SURFACE_SPEC_VERSION 2

Definition at line 31 of file vulkan_macos.h.

## Typedef Documentation

## PFN_vkCreateMacOSSurfaceMVK

typedef VkResult(VKAPI_PTR * PFN_vkCreateMacOSSurfaceMVK) (VkInstance instance, const VkMacOSSurfaceCreateInfoMVK *pCreateInfo, const VkAllocationCallbacks *pAllocator, VkSurfaceKHR *pSurface)

Definition at line 44 of file vulkan_macos.h.

## VkMacOSSurfaceCreateFlagsMVK

typedef VkFlags VkMacOSSurfaceCreateFlagsMVK

Definition at line 34 of file vulkan_macos.h.

## Function Documentation

## vkCreateMacOSSurfaceMVK()

VKAPI_ATTR VkResult VKAPI_CALL vkCreateMacOSSurfaceMVK | ( | VkInstance | instance,
|  | const VkMacOSSurfaceCreateInfoMVK * | pCreateInfo,
|  | const VkAllocationCallbacks * | pAllocator,
|  | VkSurfaceKHR * | pSurface
| ) |  |

Referenced by VULKAN_HPP_NAMESPACE::DispatchLoaderDynamic::init().